PHP Manual
Prev |  | Next

# ctype_space

(PHP 4 >= 4.0.4, PHP 5)

ctype_space -- Check for whitespace character(s)

## Description

bool ctype_space ( string text )

Checks if all of the characters in the provided string, text, creates whitespace.

## Parameters

text

  The tested string.

## Return Values

Returns `TRUE` if every character in text creates some sort of white space, `FALSE` otherwise. Besides the blank character this also includes tab, vertical tab, line feed, carriage return and form feed characters.

## Examples

Example 1. A ctype_space() example
`<?php $strings = array('string1' => "\n\r\t", 'string2' => "\narf12", 'string3' => '\n\r\t'); foreach ($strings as $name => $testcase) { if (ctype_space($testcase)) { echo "The string '$name' consists of all whitespace characters.\n"; } else { echo "The string '$name' does not consist of all whitespace characters.\n"; } } ?>`
The above example will output:
    The string 'string1' consists of all whitespace characters.
    The string 'string2' does not consist of all whitespace characters.
    The string 'string3' does not consist of all whitespace characters.

## See Also

ctype_cntrl()
ctype_graph()
ctype_punct()

Prev | Home | Next
ctype_punct | Up | ctype_upper